package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;

/**
 * cm_logistics_record
 * @author
 */
@Data
public class CmLogisticsRecord implements Serializable {
    private Long id;

    /**
     * 发货物流批次ID
     */
    private Long logisticsBatchID;

    /**
     * 子订单ID
     */
    private Long shopOrderID;

    /**
     * 主订单ID
     */
    private Long orderID;

    /**
     * 订单商品ID
     */
    private Long orderProductID;

    /**
     * 商品购买数量
     */
    private Long buyNum;

    /**
     * 此次发货数量
     */
    private Long num;

    /**
     * 商品ID
     */
    private Long productID;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品图片
     */
    private String image;

    private static final long serialVersionUID = 1L;
}
