package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;

/**
 * serviceprovider
 *
 * @author
 */
@Data
public class Serviceprovider implements Serializable {
    private Integer serviceProviderID;

    /**
     * 对应的userId
     */
    private Integer userID;

    /**
     * 小程序openid
     */
    private String openid;

    /**
     * 名称
     */
    private String name;

    /**
     * 英文名
     */
    private String nameEn;

    /**
     * 网址
     */
    private String site;

    /**
     * 头像
     */
    private String logo;

    /**
     * 半身照
     */
    private String halfBodyImage;

    /**
     * 法人代表
     */
    private String legalPerson;

    /**
     * 所在县区Id
     */
    private Integer townID;

    /**
     * 地址
     */
    private String address;

    /**
     * 联系电话
     */
    private String contractPhone;

    /**
     * 联系手机
     */
    private String contractMobile;

    private String fax;

    /**
     * 邮编
     */
    private String zipCode;

    /**
     * 注册资金
     */
    private Double registeredCapital;

    private Double turnover;

    /**
     * 团队人数
     */
    private Integer count1;

    private Integer count2;

    /**
     * 联系人1（默认联系人）
     */
    private String linkMan1;

    /**
     * 联系人1职务
     */
    private String duty1;

    /**
     * 联系人1固定电话
     */
    private String contractPhone1;

    /**
     * 联系人1手机
     */
    private String contractMobile1;

    /**
     * 联系人1QQ
     */
    private String contractQQ1;

    /**
     * 联系人1微信
     */
    private String wechat1;

    /**
     * 联系人1邮箱
     */
    private String contractEmail1;

    /**
     * 联系人2
     */
    private String linkMan2;

    /**
     * 联系人2职务
     */
    private String duty2;

    /**
     * 联系人2固定电话
     */
    private String contractPhone2;

    /**
     * 联系人2手机
     */
    private String contractMobile2;

    /**
     * 联系人2QQ
     */
    private String contractQQ2;

    /**
     * 联系人2微信
     */
    private String wechat2;

    /**
     * 联系人2邮箱
     */
    private String contractEmail2;

    /**
     * 团队介绍
     */
    private String info;

    private Double commissionRate;

    /**
     * 服务区域Id
     */
    private String provinceIDs;

    /**
     * 服务区域名称
     */
    private String provinceNames;

    private Integer level;

    private String payFlag1;

    /**
     * 营业执照
     */
    private String businessLicenseImage;

    /**
     * 税务登记证
     */
    private String taxCertificateImage;

    /**
     * 审核状态
     */
    private String auditStatus;

    /**
     * 审核时间
     */
    private String auditTime;

    /**
     * 审核信息
     */
    private String auditNote;

    /**
     * 是否可用 1可用
     */
    private String validFlag;

    /**
     * 创客状态，见表c_serviceproviderstatus或枚举ServiceProviderStatus
     */
    private Integer status;

    /**
     * 创建时间
     */
    private String addTime;

    private Integer serviceLevelID;

    private Integer typeID;

    /**
     * 创客经理Id
     */
    private Integer mainServiceProviderID;

    /**
     * 专业领域
     */
    private String businessScope;

    /**
     * 形象展示
     */
    private String companyImage;

    private Double cashDeposit;

    private Integer experience;

    private String serviceItem;

    private String topPerformance;

    /**
     * 服务案例
     */
    private String serviceCase;

    private static final long serialVersionUID = 1L;
}
