package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.User;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/4
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class UserVo extends User {

    /**
     * 邮箱验证码
     */
    private String mailboxCode;

    /**
     * 登录token
     */
    private String token;

    /**
     * 审核不通过原因转换
     */
    private List<String> auditNoteList;

    /**
     * 小程序存入sessionId
     */
    private String sessionId;

    /**
     * 用户确认密码
     */
    private String passWordConfirm;
}
